Bug 1975101 - m4: FTBFS in el9 with glibc 2.34 due to dynamic stack sizes
Summary: m4: FTBFS in el9 with glibc 2.34 due to dynamic stack sizes
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: m4
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Vitezslav Crhonek
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On: 1943033
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-23 06:46 UTC by Florian Weimer
Modified: 2021-10-12 09:27 UTC (History)
2 users (show)

Fixed In Version: m4-1.4.19-1.el9
Doc Type: No Doc Update
Doc Text:
Clone Of: 1943033
Environment:
Last Closed:
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Florian Weimer 2021-06-23 06:46:54 UTC
This issue will start impacting m4 in Red Hat Enterprise Linux 9 once we switch to glibc 2.34.

[[[EDIT No longer applicable, a regular build with suffice EDIT]]]
You can test a fix before glibc 2.34 is merged using this command:

koji -p stream build --scratch c9s-build-side-102-stack-gate git+https://gitlab.com/redhat/centos-stream/rpms/m4#origin/c9s

+++ This bug was initially created as a clone of Bug #1943033 +++

Your package fails to build with the newest upcoming autoconf-2.71, which is part of a wide Fedora change. Please see the attached copr: https://copr.fedorainfracloud.org/coprs/odubaj/autoconf-2.70/packages/. More information about testing your package when building with autoconf available here: https://fedoraproject.org/wiki/Changes/Autoconf_271#How_To_Test

--- Additional comment from Vitezslav Crhonek on 2021-03-29 13:08:41 CEST ---

This doesn't look like fail because autoconf, but because of recent change in glibc. It's already discussed at m4 upstream
mailing list and also at [1].

[1] https://sourceware.org/bugzilla/show_bug.cgi?id=20305

--- Additional comment from Ondrej Dubaj on 2021-04-12 09:13:10 CEST ---

Gentle ping.

--- Additional comment from Ernestas on 2021-04-13 11:25:58 CEST ---

There’s no obvious interest upstream, so maybe this should be reassigned to glibc or another bug should be created there for extra eyes.

--- Additional comment from Florian Weimer on 2021-04-14 09:53:51 CEST ---

There is currently no plan to revert the glibc change. m4 has to be fixed. Thanks.

--- Additional comment from Vitezslav Crhonek on 2021-05-10 13:20:34 CEST ---

(In reply to Ernestas from comment #3)
> There’s no obvious interest upstream, so maybe this should be reassigned to
> glibc or another bug should be created there for extra eyes.

Upstream has released 1.4.18b that fixes this issue (inherits the fix from gnulib).
I've created COPR repo with that release:
https://copr.fedorainfracloud.org/coprs/vcrhonek/m4-test/

Stable 1.4.19 is going to be released later this month.


Note You need to log in before you can comment on or make changes to this bug.